GmagickDraw::polyline
GmagickDraw::rotate
GmagickDraw
PHP Manual

# GmagickDraw::rectangle

Draws a rectangle

### Description

public GmagickDraw GmagickDraw::rectangle ( float `$x1` , float `$y1` , float `$x2` , float `$y2` )

Draws a rectangle given two coordinates and using the current stroke, stroke width, and fill settings.

### Parameters

`x1`

  x ordinate of first coordinate

`y1`

  y ordinate of first coordinate

`x2`

  x ordinate of second coordinate

`y2`

  y ordinate of second coordinate

### Return Values

The GmagickDraw object on success